#
# spec file for package tin (Version 1.4.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tin
Copyright:    1991-93 Iain Lea
Group:        Applications/News
Provides:     tin 
Autoreqprov:  on
Version:      1.4.2
Release:      241
Summary:      A News Reader
Source: tin-1.4.2.tar.bz2
Patch: tin-1.4.2.dif

%description
Tin is a full-screen, easy to use Netnews reader. It can read news
locally (i.e. /var/spool/news) or remotely (rtin or tin -r option)
via an NNTP (Network News Transport Protocol) server.
Docu: man tin or man rtin.

Authors:
--------
    Iain Lea <iain@ecrc.de>

SuSE series: n

%prep
%setup 
%patch

%build
CFLAGS='-O2 -pipe' ./configure --prefix=/usr \
    --with-spooldir=/var/spool/news \
    --with-nov-dir=/var/spool/news/over.view \
    --with-nntp-default-server=localhost \
    --with-mail-gateway=/etc/inews_mail_gateway \
    --with-domain-name=/etc/inews_mail_gateway \
    --with-libdir=/var/lib/news \
    --with-inews-dir=/usr/lib/news \
    --with-ncurses  --disable-debug \
    --enable-prototypes  --enable-warnings \
    --enable-color --disable-etiquette \
    --disable-forgery --enable-locale \
    --mandir=%{_mandir} --infodir=%{_infodir}
make -C src

%install
make install -C src
ln -sf tin.1 %{_mandir}/man1/rtin.1
mkdir -p %{_defaultdocdir}/tin
install -m 644 doc/* %{_defaultdocdir}/tin
rm -f %{_defaultdocdir}/tin/tin.1

%files
/usr/bin/rtin
/usr/bin/tin
%doc %{_mandir}/man1/rtin.1.gz
%doc %{_mandir}/man1/tin.1.gz
%docdir %{_defaultdocdir}/tin
%{_defaultdocdir}/tin

%changelog -n tin
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Fri May 26 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Fri Feb 18 2000 - fehr@suse.de
- changed to new version 1.4.2
* Fri Nov 19 1999 - fehr@suse.de
- minor fix for acess rights of ~/.tin
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - fehr@suse.de
- update auf pre1.4-19990805
* Tue Jun 15 1999 - uli@suse.de
- update -> pre1.4-19990517
* Mon Sep 21 1998 - ro@suse.de
- dont redeclare memset if it is defined as a macro
* Thu Jul 16 1998 - florian@suse.de
- update to version 980618
- simplified spec-file
* Mon Mar 02 1998 - florian@suse.de
- update to version 980226
* Thu Feb 05 1998 - florian@suse.de
- update to version 980202
* Thu Nov 27 1997 - florian@suse.de
- update to version 971123
- use correct configure-parameter for /etc/inews_mail_gateway
- add docu files in /usr/doc/packages/tin
* Wed Nov 19 1997 - florian@suse.de
- update to version 971106
* Mon Oct 27 1997 - florian@suse.de
- update to version 971018
- change to "disable-forgery"
* Sun Jun 22 1997 - florian@suse.de
- update to version 970613
- compile it with locale-support (can anybody still make it core-dump
  when reading from local news-spool?)
* Sun Apr 13 1997 - florian@suse.de
- update to new version 970409
* Sun Feb 02 1997 - florian@suse.de
- update to new version 970122
- find inews if no builtin inews is used
* Thu Jan 02 1997 - florian@suse.de
- update to ewest version 961101
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version tin1.3-unoff-BETA-961006.
* Thu Jan 02 1997 - florian@suse.de
- Update auf aktuelle Version 960917
- getopt() in der C-Bibliothek (5.2.18) ruft nochmal "setlocale()" auf
  und stuertzt dann ab. Dirty hack: src/init.c: setlocale() loeschen.
* Thu Jan 02 1997 - 
  new version.
